searchNodes=[{"doc":"Basic distance calculations for cartesian coordinates for calculting distances on a single plane. If you are looking to calculating distance on the surface of Earth, check out the Distance.GreatCircle module. Examples iex&gt; Distance . distance ( { 2.5 , 2.5 } , { 4 , 0.8 } ) 2.2671568097509267 iex&gt; Distance . segment_distance ( { 2.5 , 2.5 } , { 4 , 0.8 } , { - 2 , 3 } ) 1.0797077632696 iex&gt; Distance . distance ( [ { 2.5 , 2.5 } , { 4 , 0.8 } , { - 2 , 3 } , { 1 , - 1 } ] ) 13.657774933219109","ref":"Distance.html","title":"Distance","type":"module"},{"doc":"Returns the direction from p0 to p1. The direction is measured as radians off of the positive x-axis in the direction of the positive y-axis. The returned value will always be in the range of (-π, π]. The direction along the negative x-axis will always return positive π. Examples iex&gt; Distance . angle_to ( { 2 , - 1 } , { 2 , 5 } ) :math . pi ( ) / 2","ref":"Distance.html#angle_to/2","title":"Distance.angle_to/2","type":"function"},{"doc":"Returns the angular difference between two directions in the range","ref":"Distance.html#angular_difference/2","title":"Distance.angular_difference/2","type":"function"},{"doc":"Returns the geometric distance of the linestring defined by the List of points. Accepts 2- or 3-dimensional points. Examples iex&gt; Distance . distance ( [ { 2.5 , 2.5 } , { 4 , 0.8 } , { 2.5 , 3.1 } , { 2.5 , 3.1 } ] ) 5.013062853300123 iex&gt; Distance . distance ( [ { 1 , - 2 , 1 } , { - 2 , 2 , - 1 } , { - 2 , 1 , 0 } , { 2 , - 3 , 1 } ] ) 12.543941016045627","ref":"Distance.html#distance/1","title":"Distance.distance/1","type":"function"},{"doc":"Returns the geometric distance between two points. Accepts 2- or 3-dimensional points. Examples iex&gt; Distance . distance ( { 1 , - 2 } , { - 2 , 2 } ) 5.0 iex&gt; Distance . distance ( { 1 , - 2 , 2 } , { - 2 , 2 , 1 } ) 5.0990195135927845","ref":"Distance.html#distance/2","title":"Distance.distance/2","type":"function"},{"doc":"Returns the square of the distance between two points. This is used by the Distance.distance function above, but having access to the value before the expensice sqaure root operation is useful for time-sensitive applications that only need values for comparison. Examples iex&gt; Distance . distance_squared ( { 1 , - 2 } , { - 2 , 2 } ) 25 iex&gt; Distance . distance_squared ( { 1 , - 2 , 2 } , { - 2 , 2 , 1 } ) 26","ref":"Distance.html#distance_squared/2","title":"Distance.distance_squared/2","type":"function"},{"doc":"Returns the geometric distance from a point p and the infinite line extending through points p1 and p2 . Examples iex&gt; Distance . line_distance ( { 3 , 2 } , { - 2 , 1 } , { 5 , 3 } ) 0.4120816918460673 # distance between the point {3, 2} and the closest point along line segment ({-2, 1}, {5, 3}) iex&gt; Distance . line_distance ( { 1 , - 2 } , { - 2 , 2 } , { - 10 , 102 } ) 2.671464946476815 iex&gt; Distance . line_distance ( { 1 , - 2 } , { - 2 , 2 } , { 1 , - 2 } ) 0.0","ref":"Distance.html#line_distance/3","title":"Distance.line_distance/3","type":"function"},{"doc":"Similar to Distance.distance_squared , this provides much faster comparable version of Distance.line_distance . Examples iex&gt; Distance . line_distance_squared ( { 3 , 2 } , { - 2 , 1 } , { 5 , 3 } ) 0.16981132075471717 iex&gt; Distance . line_distance_squared ( { 1 , - 2 } , { - 2 , 2 } , { - 10 , 102 } ) 7.136724960254371","ref":"Distance.html#line_distance_squared/3","title":"Distance.line_distance_squared/3","type":"function"},{"doc":"Returns the cotemrinal angle closest to 0 for the given angle No matter the angle provided, the returned angle will be in the range (-π, π] Examples iex&gt; Distance . min_coterminal_angle ( :math . pi ( ) / 2.0 ) :math . pi ( ) / 2 iex&gt; Distance . min_coterminal_angle ( - 2.0 + :math . pi ( ) * 6 ) - 2.0 iex&gt; Distance . min_coterminal_angle ( - :math . pi ( ) ) :math . pi ( )","ref":"Distance.html#min_coterminal_angle/1","title":"Distance.min_coterminal_angle/1","type":"function"},{"doc":"Returns the minimal positive coterminal angle for the given angle. No matter the angle provided, the returned angle will be in the range [0, 2π) Examples iex&gt; Distance . min_positive_coterminal_angle ( :math . pi ( ) / 2.0 ) :math . pi ( ) / 2 iex&gt; Distance . min_positive_coterminal_angle ( - 2.0 + :math . pi ( ) * 6 ) :math . pi ( ) * 2.0 - 2.0 iex&gt; Distance . min_positive_coterminal_angle ( - :math . pi ( ) ) :math . pi ( )","ref":"Distance.html#min_positive_coterminal_angle/1","title":"Distance.min_positive_coterminal_angle/1","type":"function"},{"doc":"Returns a point distance units away in the direction direction . The direction is measured as radians off of the positive x-axis in the direction of the positive y-axis. Thus the new coordinates are: x1 = x0 + distance * cos ( direction ) y1 = y0 + distance * sin ( direction ) Examples iex&gt; Distance . project ( { 3 , 5 } , 3 * :math . pi ( ) / 4 , 2 ) { 1.585786437626905 , 6.414213562373095 }","ref":"Distance.html#project/3","title":"Distance.project/3","type":"function"},{"doc":"Returns the geometric distance from a point p and the line segment between two points p1 and p2 . Note that this is a line segment, not an infinite line, so points not between p1 and p2 will return the distance to the nearest of the two endpoints. Examples iex&gt; Distance . segment_distance ( { 3 , 2 } , { - 2 , 1 } , { 5 , 3 } ) 0.4120816918460673 # distance between the point {3, 2} and the closest point along line segment ({-2, 1}, {5, 3}) iex&gt; Distance . segment_distance ( { 1 , - 2 } , { - 2 , 2 } , { - 10 , 102 } ) 5.0 iex&gt; Distance . segment_distance ( { 1 , - 2 } , { - 2 , 2 } , { 1 , - 2 } ) 0.0","ref":"Distance.html#segment_distance/3","title":"Distance.segment_distance/3","type":"function"},{"doc":"Similar to Distance.distance_squared , this provides much faster comparable version of Distance.segment_distance . Examples iex&gt; Distance . segment_distance_squared ( { 3 , 2 } , { - 2 , 1 } , { 5 , 3 } ) 0.16981132075471717 iex&gt; Distance . segment_distance_squared ( { 1 , - 2 } , { - 2 , 2 } , { - 10 , 102 } ) 25","ref":"Distance.html#segment_distance_squared/3","title":"Distance.segment_distance_squared/3","type":"function"},{"doc":"Provides the minimum distance between any two points along the given line segments. In the case where the segements are not disjoint, this will always return 0.0 . Example iex&gt; Distance . segment_segment_distance ( { 0 , 0 } , { 1 , 1 } , { 1 , 0 } , { 2 , 0 } ) 0.7071067811865476 iex&gt; Distance . segment_segment_distance ( { 0 , 0 } , { 1 , 1 } , { 1 , 1 } , { 2 , 2 } ) 0.0","ref":"Distance.html#segment_segment_distance/4","title":"Distance.segment_segment_distance/4","type":"function"},{"doc":"Similar to Distance.distance_squared , this provides much faster comparable version of Distance.segment_segment_distance .","ref":"Distance.html#segment_segment_distance_squared/4","title":"Distance.segment_segment_distance_squared/4","type":"function"},{"doc":"","ref":"Distance.html#t:point/0","title":"Distance.point/0","type":"type"},{"doc":"Calculate great circle distances (shortest travel distance on the surface of a spherical Earth) given a two longitude-latitude pairs. This is an implementation of the Haversine formula and approximates using a spherical (non-ellipsoid) Earth with a mean radius of 6,371,008.8 meters derived from the WGS84 datum. The function accepts two tuples in the form of {longitude, latitude} and returns the distance in meters. It will also accept a List of tuples.","ref":"Distance.GreatCircle.html","title":"Distance.GreatCircle","type":"module"},{"doc":"Returns the great circle distance in meters along a linestring defined by the List of {longitude, latitude} pairs. Examples iex&gt; Distance.GreatCircle . distance ( [ ...&gt; { - 96.796667 , 32.775833 } , ...&gt; { 126.967583 , 37.566776 } , ...&gt; { 151.215158 , - 33.857406 } , ...&gt; { 55.274180 , 25.197229 } , ...&gt; { 6.942661 , 50.334057 } , ...&gt; { - 97.635926 , 30.134442 } ] ) 44728827.84910666","ref":"Distance.GreatCircle.html#distance/1","title":"Distance.GreatCircle.distance/1","type":"function"},{"doc":"Returns the great circle distance in meters between two points in the form of {longitude, latitude} . Examples iex&gt; Distance.GreatCircle . distance ( { - 105.343 , 39.984 } , { - 105.534 , 39.123 } ) 97129.22118968463 iex&gt; Distance.GreatCircle . distance ( { - 74.00597 , 40.71427 } , { - 70.56656 , - 33.42628 } ) 8251609.780265334","ref":"Distance.GreatCircle.html#distance/2","title":"Distance.GreatCircle.distance/2","type":"function"},{"doc":"","ref":"Distance.GreatCircle.html#t:coords/0","title":"Distance.GreatCircle.coords/0","type":"type"}]